package com.crm.pay.service;

import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.pojo.table.CustomInfoTable;

import java.math.BigDecimal;

public interface CustomInfoService {

    CustomInfoTable getById(Long customId) throws ServiceException;

    CustomInfoTable findFirstById(Long customId) throws ServiceException;

    CustomInfoTable getByCId(Long cId) throws ServiceException;

    int updateWithdrawFeeReduction(Long cId, int number) throws ServiceException;

    int getWithdrawFeeReduction(Long cId) throws ServiceException;
}
